//@import "./src/Landing/Landinn";
@import "./src/components/Wrapper/index";

.CardBigContainer {
  width: 700px;
  position: relative;
  @include max-width-paddings;
  min-width: 480px;
  text-align: left;
  margin: auto;
  border: 1px solid $main-color-gold;
  padding: 10px 0;
  background-color: $background;

  &__confirm {
    text-align: center;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    height: 30%;
    overflow: hidden;
    border-radius: 30px;
    background-color: $background;
    z-index: 1000;
    display: flex;
    justify-content: center;
    align-content: center;
    gap: 30px;
    flex-wrap: wrap;
    font-size: 1.3em;
    animation: fade .5s;
    border: 1px solid $main-color-gold;


    &--title {
      flex-basis: 100%;
    }

    & button {
      &:hover {
        background-color: #000;
      }
    }
  }

  &__wrapper {

  }

  &__cross {
    background-color: $main-color-gold;
    border-radius: 50%;
    cursor: pointer;
    right: 5%;
  }
}

.DescriptionBlock {
  padding-top: 5px;
}

.DescriptionLine {
  margin: 0;
  padding: 0;
  line-height: 1;
}

.FontHeader3 {
  @include title-text-4;
  color: $text-color !important;
}

.FontText2 {
  @include title-text-5;
  margin-bottom: 5px;
}

.PathContainerHeader {
  color: $text-color !important;
  margin: 0;
}

.MainDoubleBlock {
  display: flex;
}

.MainBlock {
  width: 50%;
  padding: 1em;
}

.ProductImage {
  width: 90%;
  text-align: center;
}

.MainRightBlock {

}

.MainLeftBlock {
  text-align: center;
  position: relative;
}

.CoffeeInStock {
  display: flex;
  justify-content: flex-start;
  align-items: center;

  & h3 {
    font-size: $size-text3;
    font-family: $font-7;
    font-weight: bold;
    color: $text-color;
    //padding: 0 5% 10px;
    padding: .2em 5% .2em 0;
    margin: 0;
  }
}

.CoffeeGrinding {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;


  p {
    //padding-bottom: 5px;
  }

}

.decorated option {
  text-align: center;
  background-color: grey;
  color: lightgrey;

}

.DescriptionProperty {
  color: $text-color;
  @include title-text-5;
  display: inline;
  font-weight: bolder;
}

.DescriptionValue {
  display: inline;
  color: white;
  @include title-text-5;
}


.MotivatedContainer {
  margin-top: 10vh;
  margin-bottom: 10vh;
}

.MotivatedPhrase {
  width: 100%;
  text-align: center;
  font-family: $font-1;
  font-size: $size-text2;
  color: $text-color;
}

.BottomCardBlock {
  display: flex;
}

.redText {
  color: red !important;
}

.greenText {
  color: green !important;
}

.yellowText {
  color: yellow !important;
}

.inputRadioRow {
  display: flex;
}

.FinalProvisionsCard {
  font-family: $font-2;
  font-size: $size-text;
  padding: 1em;

  h3 {
    width: 100%;
    text-align: center;
    border-bottom: 1px solid $text-color;
    color: $white-color;
    font-family: $font-1;
    font-size: $size-text;
  }

  p {
    color: $white-color;
  }
}

.BuyNow {
  padding: 5px 0;
  display: flex;

  text-align: right;

  & button {
    width: 34%;
    transition: background-color .2s;

    & button:disabled,
    & button[disabled] {
      border: 1px solid #999999;
      background-color: #cccccc;
      color: #666666;
      cursor: wait;

    }

    &:hover {
      background: rgba(201, 171, 129, 0.2);
      //height: 100px;
    }
  }
}

.ask {
  font-size: 0.9em;
  text-decoration: underline;
  cursor: pointer;
  & svg{
    margin-right: 10px;
  }
}

@media (max-width: 767px) {
  .MainDoubleBlock {
    display: flex;
    flex-direction: column;
  }
  .MainBlock {
    width: 100%;
    padding: 1em;

    & .labels {
      left: 30%;
    }
  }
  .ProductImage {
    width: 30%;
    text-align: center;
  }
  .FontHeader3, .FontText2 {
    text-align: center;
  }
}



.coffeeOpt {
  padding-bottom: 5px;
  &__title {

  }

  &__prices {
  }

  &__price {
    padding: 1px 2px 4px 2px;
    margin-right: 5px;
    cursor: pointer;
    border-radius: 5px;
    box-shadow: 0 0 5px .1px rgba(201, 171, 129, .5);
    &:hover{
      box-shadow: 0 0 5px .1px rgba(201, 171, 129, 1);
    }
  }
}